import three;
import graph3;
unitsize(1cm);
size(8cm);
settings.tex="pdflatex";
settings.render=25;
settings.outformat="pdf";
viewportmargin=(2,2);

currentprojection=orthographic(1,-1/4,8/10);

pen solid=linetype(new real[]);
pen longdashed=linetype(new real[] {10,8});
pen dashed=linetype(new real[] {3,8});
pen dashed2=linetype(new real[] {6,8});

real a = 2;

dot((0, 0, -a/8));
label("$O$", (0, 0, -a/8), W);

label("$d$", (1.1*a, 1.12*a, -a/9), NW);
draw((a, 1.05*a, 0)--(a, 1.05*a, -a/4), black, Arrows3);

draw((0,0,-a/8)--(1.2*a,0,-a/8), 0.75+black+opacity(1), Arrow3);
label("$y$", (1.3*a, -0.2, 0), W);
draw((0,0,-a/8)--(0,1.2*a,-a/8), 0.75+black+opacity(1), Arrow3);
label("$z$", (0, 1.1*a, 0), E);
draw((0,0,-a/8)--(0,0,0.5*a), 0.75+black+opacity(1), Arrow3);
label("$x$", (0, 0, 0.5*a), W);

draw((0,0,0)--(a,0,0)--(a,a,0)--(0,a,0)--cycle, black);
draw((0,0,-a/4)--(a,0,-a/4)--(a,a,-a/4), black);
draw((a,a,-a/4)--(0,a,-a/4)--(0,0,-a/4), black+longdashed);
draw((0,0,0)--(0,0,-a/4), black);
draw((a,0,0)--(a,0,-a/4), black);
draw((0,a,0)--(0,a,-a/4), black+longdashed);
draw((a,a,0)--(a,a,-a/4), black);

draw(surface((0,0,0)--(a,0,0)--(a,a,0)--(0,a,0)--cycle), lightgrey+opacity(0.5));
draw(surface((a,0,0)--(a,a,0)--(a,a,-a/4)--(a,0,-a/4)--cycle), lightgrey+opacity(0.5));
draw(surface((0,0,0)--(a,0,0)--(a,0,-a/4)--(0,0,-a/4)--cycle), lightgrey+opacity(0.5));

triple H = (7/6, 3/2, -a/8);
guide3 OH = (0,0,-a/8)--H;
draw(OH, emissive(red), Arrow3, currentlight);
label("$\mathbf{k}$", H, E, red);
guide3 ArcHx = arc(point((0,0,-a/8)--H, 0),point((0,0,-a/8)--H, 0.5),point((0,0,-a/8)--(1,0,-a/8), 0.5));
draw(ArcHx, red+dashed2);
label("$\varphi$", (1,0.45,-a/8), red);