reset

set size 3.5/5.0, 3.0/3.0

set terminal epslatex color
set output './image.tex'

set samples 1000

set key top right box width 2 spacing 1.35
set format x "$%g$"
set format y "$%g^\\circ$"
set grid
set notitle
set xlabel "$\\Omega$"
set ylabel "$\\varphi_s$"
set xrange [0.4:1.4]
set xtics 0.4, 0.2
set yrange [*:70]
set multiplot

set style line 1 linetype 1 lw 2.0 linecolor rgb "black"
set style line 2 linetype 1 lw 3.0 linecolor rgb "blue"
set style line 3 linetype 1 lw 4.0 linecolor rgb "red"

plot "1.dat" using 1:2 with lines linestyle 1 title "$\\Omega_H=0.25$",\
     "2.dat" using 1:2 with lines linestyle 2 title "$\\Omega_H=0.50$",\
     "3.dat" using 1:2 with lines linestyle 3 title "$\\Omega_H=0.75$"